Package org.apache.axiom.util.stax.wrapper

## Class ImmutableXMLOutputFactory

- java.lang.Object
- - javax.xml.stream.XMLOutputFactory
  - - org.apache.axiom.util.stax.wrapper.XMLOutputFactoryWrapper
    - - org.apache.axiom.util.stax.wrapper.ImmutableXMLOutputFactory

-     public class ImmutableXMLOutputFactory
      extends XMLOutputFactoryWrapper

  Wraps an `XMLOutputFactory` so that its state (i.e. its properties) can no longer be changed.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLOutputFactory

      `IS_REPAIRING_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImmutableXMLOutputFactory​(XMLOutputFactory parent)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setProperty​(String name, Object value)` |

    - ### Methods inherited from class org.apache.axiom.util.stax.wrapper.XMLOutputFactoryWrapper

      `createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, getProperty, isPropertySupported`

    - ### Methods inherited from class javax.xml.stream.XMLOutputFactory

      `newDefaultFactory, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableXMLOutputFactory

          public ImmutableXMLOutputFactory​(XMLOutputFactory parent)

      Constructor.
      Parameters:
        `parent` - the parent factory

  - ### Method Detail

    - #### setProperty

          public void setProperty​(String name,
                                  Object value)
                           throws IllegalArgumentException

      Overrides:
        `setProperty` in class `XMLOutputFactoryWrapper`
      Throws:
        `IllegalArgumentException`